# Uses of Class
org.apache.lucene.facet.StringDocValuesReaderState

Packages that use StringDocValuesReaderState
Package
Description
org.apache.lucene.facet
Faceted search.

- ## Uses of StringDocValuesReaderState in org.apache.lucene.facet

  Constructors in org.apache.lucene.facet with parameters of type StringDocValuesReaderState
  Modifier
  Constructor
  Description
  ``
  `StringValueFacetCounts(StringDocValuesReaderState state)`
  Returns all facet counts for the field, same result as searching on `MatchAllDocsQuery` but faster.
  ``
  `StringValueFacetCounts(StringDocValuesReaderState state, FacetsCollector facetsCollector)`
  Counts facets across the provided hits.